
Redmine - Defect #9676

Reminder emails also includes overdue issues

2011-11-28 06:22 - Mischa The Evil

Status: Closed Start date: 2011-11-28

Priority: Normal Due date:  

Assignee: Mischa The Evil % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

After I noticed #5058 I finally could test the reminder email feature. First thing I ran into is that also overdue issue are included. This

happens with and without the days option. In my case the included overdue issue were due on 31-10-2010.

I already took a quick look at the responsible code in source:/trunk/app/models/mailer.rb but couldn't find anything causing this

behavior.

If this is currently the designed behaviour it is ok to me, although then the docs should be updated.

Environment:

Redmine: source:/trunk@7962

Ruby: 1.8.7 [x86_64-linux] (REE 1.8.7-2011.03)

RubyGems: 1.3.7

Rack: 1.1.2

Rails: 2.3.14

MySQL: 5.1.41

Browser: Mozilla Firefox 7.0.1

Please let me know if more information is required.

Related issues:

Has duplicate Redmine - Defect #15143: Email Reminder Closed

History

#1 - 2011-11-28 09:06 - Etienne Massip

Including the overdue issues in the reminder seems fine since they are issues that still need to be fixed?

#2 - 2011-11-29 19:06 - Jean-Philippe Lang

It looks like an expected behaviour to me.

#3 - 2011-11-29 20:44 - Mischa The Evil

- Category changed from Email notifications to Documentation

- Assignee set to Mischa The Evil

To be clear: it's fine to me unless this is unexpected behavior. I opened this issue as a defect because:

1. RedmineReminderEmails explicitly states: "... about issues due in the next days."

2. source:/trunk/app/models/mailer.rb#L346 contains: "days.day.from_now.to_date" which made me think that only issues due between from.now

and to_date were included.

A second look however, showed me that it is a <= statement which explains the here described behavior. Thus it is expected indeed.

I'll update the available docs.

#4 - 2011-11-29 21:05 - Etienne Massip

Thank you!

#5 - 2012-03-04 22:04 - Stéphane Gourichon

Same observation here. Behavior does not match documentation.
https://www.redmine.org/issues/5058
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/mailer.rb
https://www.redmine.org/projects/redmine/repository/svn/revisions/7962/entry/trunk
https://www.redmine.org/projects/redmine/wiki/RedmineReminderEmails
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/mailer.rb#L346


Also, documentation for this feature matches behavior in Redmine issue queries (that is, in both, "due in 7 days" means "from now till 7 days, not

overdue").

The only exception here is behavior of this particular feature.

Thanks in advance for improving consistency.

#6 - 2013-10-19 05:27 - Mischa The Evil

- Has duplicate Defect #15143: Email Reminder added

#7 - 2014-12-14 00:43 - Matt Wiseley

Fixed this in the wiki: http://www.redmine.org/projects/redmine/wiki/RedmineReminderEmails

#8 - 2014-12-14 15:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Thanks.
